ros-noetic-amcl (1.17.3-1focal) focal; urgency=high

  * [AMCL] Add option to force nomotion update after initialpose (#1226 <https://github.com/ros-planning/navigation/issues/1226>)
    * Adds a new boolean parameter force_update_after_initialpose. When set to true, an update is forced on the next laser scan callback, such as when the /request_nomotion_update service is called. This often results in an improved robot pose after a manual (not very precise) re-localization - without a need for the robot to move.
    * Fixes a bunch of compiler warnings (unused variable now, catching exceptions by value), normalizes how tf exceptions are caught
  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner, Stephan

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 05:00:00 -0000

ros-noetic-amcl (1.17.2-1focal) focal; urgency=high

  * Update pf.c (#1161 <https://github.com/ros-planning/navigation/issues/1161>)
    #1160 <https://github.com/ros-planning/navigation/issues/1160> AMCL miscalculates orientation covariance for clusters
  * Improved Overall readablity (#1177 <https://github.com/ros-planning/navigation/issues/1177>)
  * fix crashes in AMCL (#1152 <https://github.com/ros-planning/navigation/issues/1152>)
    * fix: catch runtime_error from roscore
    * ignore malformed message from laser, otherwise it will crash
  * Fixes #1117 <https://github.com/ros-planning/navigation/issues/1117> (#1118 <https://github.com/ros-planning/navigation/issues/1118>)
  * Fixed the risk of divide by zero. (#1099 <https://github.com/ros-planning/navigation/issues/1099>)
  * (AMCL) add missing test dep on tf2_py (#1091 <https://github.com/ros-planning/navigation/issues/1091>)
  * (AMCL)(Noetic) use robot pose in tests (#1087 <https://github.com/ros-planning/navigation/issues/1087>)
  * (amcl) fix missing '#if NEW_UNIFORM_SAMPLING' (#1079 <https://github.com/ros-planning/navigation/issues/1079>)
  * Contributors: David V. Lu!!, Matthijs van der Burgh, Noriaki Ando, Supernovae, christofschroeter, easylyou

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 04:00:00 -0000

ros-noetic-amcl (1.17.1-1focal) focal; urgency=high

  * (AMCL) add resample limit cache [Noetic] (#1014 <https://github.com/ros-planning/navigation/issues/1014>)
  * Contributors: Matthijs van der Burgh

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-noetic-amcl (1.17.0-1focal) focal; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * map is not subscriptable in python3
  * fix python3 errors in basic_localization.py
  * use upstream pykdl
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 04:00:00 -0000

ros-noetic-amcl (1.16.6-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 04:00:00 -0000

ros-noetic-amcl (1.16.5-1focal) focal; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 04:00:00 -0000

ros-noetic-amcl (1.16.4-1focal) focal; urgency=high

  * Implement selective resampling (#921 <https://github.com/cobalt-robotics/navigation/issues/921>) (#971 <https://github.com/cobalt-robotics/navigation/issues/971>)
    Co-authored-by: Adi Vardi <mailto:adidasv111@gmail.com>
  * Add CLI option to trigger global localization before processing a bagfile (#816 <https://github.com/cobalt-robotics/navigation/issues/816>) (#970 <https://github.com/cobalt-robotics/navigation/issues/970>)
    Co-authored-by: alain-m <mailto:alain@savioke.com>
  * Fix some reconfigure parameters not being applied [amcl]. (#952 <https://github.com/cobalt-robotics/navigation/issues/952>)
  * amcl: include missing CMake functions to fix build (#946 <https://github.com/cobalt-robotics/navigation/issues/946>)
  * Set proper limits for the z-weights [amcl]. (#953 <https://github.com/cobalt-robotics/navigation/issues/953>)
  * Merge pull request #965 <https://github.com/cobalt-robotics/navigation/issues/965> from nlimpert/nlimpert/fix_missing_cmake_include
    Add missing CMake include(CheckSymbolExists) for CMake >= 3.15
  * amcl: add missing CMake include(CheckSymbolExists)
    Starting with CMake 3.15 an explicit include(CheckSymbolExists)
    is required to use the check_symbol_exists macro.
  * Contributors: Ben Wolsieffer, Michael Ferguson, Nicolas Limpert, Patrick Chin

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-amcl (1.16.3-1focal) focal; urgency=high

  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Fix typo in amcl_laser model header (#918 <https://github.com/ros-planning/navigation/issues/918>)
  * Merge pull request #849 <https://github.com/ros-planning/navigation/issues/849> from seanyen/amcl_windows_fix
    [Windows][melodic] AMCL Windows build bring up.
  * revert unrelated changes.
  * AMCL windows build bring up.
    * Add HAVE_UNISTD and HAVE_DRAND48 and portable_utils.hpp for better cross compiling.
    * Variable length array is not supported in MSVC, conditionally disable it.
    * Fix install location for shared lib and executables on Windows.
    * Use isfinite for better cross compiling.
  * feat: AMCL Diagnostics (#807 <https://github.com/ros-planning/navigation/issues/807>)
    Diagnostic task that monitors the estimated standard deviation of the filter.
    By: reinzor <mailto:reinzor@gmail.com>
  * fix typo for parameter beam_skip_error_threshold but bandaged for other users in AMCL (#790 <https://github.com/ros-planning/navigation/issues/790>)
    * fix typo but bandage for other users
  * Merge pull request #785 <https://github.com/ros-planning/navigation/issues/785> from mintar/amcl_c++11
    amcl: Add compile option C++11
  * amcl: Set C++ standard 11 if not set
    This is required to build the melodic-devel branch of the navigation
    stack on kinetic. Melodic sets CMAKE_CXX_STANDARD=14, but kinetic
    doesn't set that variable at all.
  * Contributors: Hadi Tabatabaee, Martin Günther, Michael Ferguson, Rein Appeldoorn, Sean Yen, Steven Macenski

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-noetic-amcl (1.16.2-1focal) focal; urgency=high

  * Merge pull request #773 <https://github.com/ros-planning/navigation/issues/773> from ros-planning/packaging_fixes
    packaging fixes
  * update amcl to have proper depends
    * add geometry_msgs
    * add tf2_msgs
    * fix alphabetical order
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-noetic-amcl (1.16.1-1focal) focal; urgency=high

  * Merge pull request #770 <https://github.com/ros-planning/navigation/issues/770> from ros-planning/fix_debians
    Fix debian builds (closes #769 <https://github.com/ros-planning/navigation/issues/769>)
  * make AMCL depend on sensor_msgs
    previously, amcl depended on TF, which depended on
    sensor_msgs.
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 04:00:00 -0000

ros-noetic-amcl (1.16.0-1focal) focal; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * Merge pull request #734 <https://github.com/ros-planning/navigation/issues/734> from ros-planning/melodic_731
    AMCL dynamic reconfigure: Extend parameter range (Forward port #731 <https://github.com/ros-planning/navigation/issues/731>)
  * Merge pull request #728 <https://github.com/ros-planning/navigation/issues/728> from ros-planning/melodic_tf2_conversion
    switch AMCL to use TF2
  * fix swapped odom1/4 in omni model, fixes #499 <https://github.com/ros-planning/navigation/issues/499>
  * Merge pull request #730 <https://github.com/ros-planning/navigation/issues/730> from Glowcloud/melodic-devel
    Fix for Potential Memory Leak  in AmclNode::reconfigureCB #729 <https://github.com/ros-planning/navigation/issues/729>
  * Fix for Potential Memory Leak  in AmclNode::reconfigureCB
  * switch AMCL to use TF2
  * Merge pull request #727 <https://github.com/ros-planning/navigation/issues/727> from ros-planning/melodic_668
    Update laser_model_type enum on AMCL.cfg (Melodic port of #668 <https://github.com/ros-planning/navigation/issues/668>)
  * Update laser_model_type enum on AMCL.cfg
    Adding likelihood_field_prob laser model option on AMCL.cfg to be able to control dynamic parameters with this laser sensor model.
  * Merge pull request #723 <https://github.com/ros-planning/navigation/issues/723> from moriarty/melodic-buildfarm-errors
    Melodic buildfarm errors
  * include <memory> for std::shared_ptr
  * Merge pull request #718 <https://github.com/ros-planning/navigation/issues/718> from moriarty/tf2-buffer-ptr
    [melodic] tf2_buffer_ -> tf2_buffer_ptr_
  * [melodic] tf2_buffer_ -> tf2_buffer_ptr_
    Change required due to changes in upstream dependencies:
    ros/geometry#163 <https://github.com/ros/geometry/issues/163>: "Maintain & expose tf2 Buffer in shared_ptr for tf"
    fixes ros-planning/navigation#717 <https://github.com/ros-planning/navigation/issues/717> (for compile errors at least.)
  * Contributors: Alexander Moriarty, Glowcloud, Martin Ganeff, Michael Ferguson, Miguel Cordero, Vincent Rabaud, maracuya-robotics

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-noetic-amcl (1.15.2-1focal) focal; urgency=high

  * Fix minor typo (#682 <https://github.com/ros-planning/navigation/issues/682>)
    This typo caused some confusion because we were searching for a semicolon in our configuration.
  * Merge pull request #677 <https://github.com/ros-planning/navigation/issues/677> from ros-planning/lunar_634
    removing recomputation of cluster stats causing assertion error (#634 <https://github.com/ros-planning/navigation/issues/634>)
  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Remove Dead Code [Lunar] (#646 <https://github.com/ros-planning/navigation/issues/646>)
    * Clean up navfn
    * Cleanup amcl
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, David V. Lu!!, Michael Ferguson, stevemacenski

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 04:00:00 -0000

ros-noetic-amcl (1.15.1-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-noetic-amcl (1.15.0-1focal) focal; urgency=high

  * Reference Issue #592 <https://github.com/ros-planning/navigation/issues/592> Added warning to AMCL when map is published on ... (#604 <https://github.com/ros-planning/navigation/issues/604>)
  * rebase fixups
  * convert packages to format2
  * recompute cluster stat when force_publication
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * amcl: fix compilation with gcc v7
  * Added deps to amcl costmap_2d move_base (#512 <https://github.com/ros-planning/navigation/issues/512>)
  * fix order of parameters (closes #553 <https://github.com/ros-planning/navigation/issues/553>)
  * Fix potential string overflow and resource leak
  * Contributors: Dmitry Rozhkov, Laurent GEORGE, Martin Günther, Michael Ferguson, Mikael Arguedas, Peter Harliman Liem, mryellow, vik748

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-noetic-amcl (1.14.0-1focal) focal; urgency=high

  * Allow AMCL to run from bag file to allow very fast testing.
  * Fixes interpretation of a delayed initialpose message (see #424 <https://github.com/ros-planning/navigation/issues/424>).
    The tf lookup as it was before this change was very likely to fail as
    ros::Time::now() was used to look up a tf without waiting on the tf's
    availability. Additionally, the computation of the "new pose" by
    multiplying the delta that the robot moved from the initialpose's
    timestamp to ros::Time::now() was wrong. That delta has to by multiplied
    from the right to the "old pose".
    This commit also changes the reference frame to look up this delta to be
    the odom frame as this one is supposed to be smooth and therefore the
    best reference to get relative robot motion in the robot (base link) frame.
  * New unit test for proper interpretation of a delayed initialpose message.
    Modifies the set_pose.py script to be able to send an initial pose with
    a user defined time stamp at a user defined time. Adds a rostest to
    exercise this new option.
    This reveals the issues mentioned in #424 <https://github.com/ros-planning/navigation/issues/424> (the new test fails).
  * Contributors: Derek King, Stephan Wirth

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-noetic-amcl (1.13.1-1focal) focal; urgency=high

  * adds the set_map service to amcl
  * fix pthread_mutex_lock on shutdown
  * Contributors: Michael Ferguson, Stephan Wirth

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-noetic-amcl (1.13.0-1focal) focal; urgency=high

  * amcl_node will now save latest pose on shutdown
  * Contributors: Ian Danforth

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-noetic-amcl (1.12.0-1focal) focal; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-noetic-amcl (1.11.15-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-noetic-amcl (1.11.14-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-noetic-amcl (1.11.13-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-noetic-amcl (1.11.12-1focal) focal; urgency=high

  * Bug fix to remove particle weights being reset when motion model is updated
  * Integrated new sensor model which calculates the observation likelihood in a probabilistic manner
    Also includes the option to do beam-skipping (to better handle observations from dynamic obstacles)
  * Pose pulled from parameter server when new map received
  * Contributors: Steven Kordell, hes3pal

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-noetic-amcl (1.11.11-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-noetic-amcl (1.11.10-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-noetic-amcl (1.11.9-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-noetic-amcl (1.11.8-1focal) focal; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-noetic-amcl (1.11.7-1focal) focal; urgency=high

  * removes useless this->z_max = z_max assignment
  * Fix warning string.
  * Contributors: Jeremiah Via, enriquefernandez

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-noetic-amcl (1.11.5-1focal) focal; urgency=high

  * Fix for #160 <https://github.com/ros-planning/navigation/issues/160>
  * Download test data from download.ros.org instead of willow
  * Change maintainer from Hersh to Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Jan 2014 05:00:00 -0000

ros-noetic-amcl (1.11.4-1focal) focal; urgency=high

  * Package URL Updates
  * amcl_pose and particle cloud are now published latched
  * Fixed or commented out failing amcl tests.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 04:00:00 -0000


